# Uses of Class
org.codehaus.janino.IClass.IConstructor

Packages that use IClass.IConstructor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClass.IConstructor in org.codehaus.janino

Fields in org.codehaus.janino declared as IClass.IConstructor
Modifier and Type
Field
Description
`IClass.IConstructor`
IClassLoader.`CTOR_java_lang_StringBuilder__java_lang_String`
Methods in org.codehaus.janino that return IClass.IConstructor
Modifier and Type
Method
Description
`final IClass.IConstructor`
IClass.`findIConstructor(IClass[] parameterTypes)`
`final IClass.IConstructor[]`
IClass.`getDeclaredIConstructors()`
Returns all the constructors declared by the class represented by the type.
`protected IClass.IConstructor[]`
ClassFileIClass.`getDeclaredIConstructors2()`
`protected abstract IClass.IConstructor[]`
IClass.`getDeclaredIConstructors2()`
The uncached version of `IClass.getDeclaredIConstructors()` which must be implemented by derived classes.